## UDisksDriveLsmLocal

UDisksDriveLsmLocal — Generated C code for the org.freedesktop.UDisks2.Drive.LsmLocal D-Bus interface

## Functions

void | udisks_drive_lsm_local_proxy_new ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_finish ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_sync ()
void | udisks_drive_lsm_local_proxy_new_for_bus ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_for_bus_finish ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_for_bus_sync ()
void | udisks_drive_lsm_local_call_turn_fault_ledoff ()
gboolean | udisks_drive_lsm_local_call_turn_fault_ledoff_finish ()
gboolean | udisks_drive_lsm_local_call_turn_fault_ledoff_sync ()
void | udisks_drive_lsm_local_call_turn_fault_ledon ()
gboolean | udisks_drive_lsm_local_call_turn_fault_ledon_finish ()
gboolean | udisks_drive_lsm_local_call_turn_fault_ledon_sync ()
void | udisks_drive_lsm_local_call_turn_ident_ledoff ()
gboolean | udisks_drive_lsm_local_call_turn_ident_ledoff_finish ()
gboolean | udisks_drive_lsm_local_call_turn_ident_ledoff_sync ()
void | udisks_drive_lsm_local_call_turn_ident_ledon ()
gboolean | udisks_drive_lsm_local_call_turn_ident_ledon_finish ()
gboolean | udisks_drive_lsm_local_call_turn_ident_ledon_sync ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_skeleton_new ()
void | udisks_drive_lsm_local_complete_turn_fault_ledoff ()
void | udisks_drive_lsm_local_complete_turn_fault_ledon ()
void | udisks_drive_lsm_local_complete_turn_ident_ledoff ()
void | udisks_drive_lsm_local_complete_turn_ident_ledon ()

## Types and Values

| UDisksDriveLsmLocal
struct | UDisksDriveLsmLocalProxy
struct | UDisksDriveLsmLocalProxyClass
struct | UDisksDriveLsmLocalSkeleton
struct | UDisksDriveLsmLocalSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksDriveLsmLocal

## Prerequisites

UDisksDriveLsmLocal requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Drive.LsmLocal D-Bus interface in C.

## Functions

### udisks_drive_lsm_local_proxy_new ()

    void
    udisks_drive_lsm_local_proxy_new (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_local_proxy_new_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_drive_lsm_local_proxy_new_finish ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_proxy_new_sync ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_sync (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_proxy_new_for_bus ()

    void
    udisks_drive_lsm_local_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_drive_lsm_local_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_local_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_drive_lsm_local_proxy_new_for_bus_finish ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_proxy_new_for_bus_sync ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_drive_lsm_local_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_call_turn_fault_ledoff ()

    void
    udisks_drive_lsm_local_call_turn_fault_ledoff
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `TurnFaultLEDOff()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_local_call_turn_fault_ledoff_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_call_turn_fault_ledoff_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_fault_ledoff_finish ()

    gboolean
    udisks_drive_lsm_local_call_turn_fault_ledoff_finish
                                   (UDisksDriveLsmLocal *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_call_turn_fault_ledoff()`.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_call_turn_fault_ledoff()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_fault_ledoff_sync ()

    gboolean
    udisks_drive_lsm_local_call_turn_fault_ledoff_sync
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `TurnFaultLEDOff()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_call_turn_fault_ledoff()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_fault_ledon ()

    void
    udisks_drive_lsm_local_call_turn_fault_ledon
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `TurnFaultLEDOn()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_local_call_turn_fault_ledon_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_call_turn_fault_ledon_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_fault_ledon_finish ()

    gboolean
    udisks_drive_lsm_local_call_turn_fault_ledon_finish
                                   (UDisksDriveLsmLocal *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_call_turn_fault_ledon()`.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_call_turn_fault_ledon()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_fault_ledon_sync ()

    gboolean
    udisks_drive_lsm_local_call_turn_fault_ledon_sync
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `TurnFaultLEDOn()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_call_turn_fault_ledon()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_ident_ledoff ()

    void
    udisks_drive_lsm_local_call_turn_ident_ledoff
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `TurnIdentLEDOff()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_local_call_turn_ident_ledoff_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_call_turn_ident_ledoff_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_ident_ledoff_finish ()

    gboolean
    udisks_drive_lsm_local_call_turn_ident_ledoff_finish
                                   (UDisksDriveLsmLocal *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_call_turn_ident_ledoff()`.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_call_turn_ident_ledoff()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_ident_ledoff_sync ()

    gboolean
    udisks_drive_lsm_local_call_turn_ident_ledoff_sync
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `TurnIdentLEDOff()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_call_turn_ident_ledoff()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_ident_ledon ()

    void
    udisks_drive_lsm_local_call_turn_ident_ledon
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `TurnIdentLEDOn()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_local_call_turn_ident_ledon_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_call_turn_ident_ledon_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_ident_ledon_finish ()

    gboolean
    udisks_drive_lsm_local_call_turn_ident_ledon_finish
                                   (UDisksDriveLsmLocal *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_call_turn_ident_ledon()`.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_call_turn_ident_ledon()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_call_turn_ident_ledon_sync ()

    gboolean
    udisks_drive_lsm_local_call_turn_ident_ledon_sync
                                   (UDisksDriveLsmLocal *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `TurnIdentLEDOn()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_call_turn_ident_ledon()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveLsmLocalProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.6.3

### udisks_drive_lsm_local_skeleton_new ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal.

#### Returns

The skeleton object.

[transfer full][type UDisksDriveLsmLocalSkeleton]

### udisks_drive_lsm_local_complete_turn_fault_ledoff ()

    void
    udisks_drive_lsm_local_complete_turn_fault_ledoff
                                   (UDisksDriveLsmLocal *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `TurnFaultLEDOff()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveLsmLocal. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.6.3

### udisks_drive_lsm_local_complete_turn_fault_ledon ()

    void
    udisks_drive_lsm_local_complete_turn_fault_ledon
                                   (UDisksDriveLsmLocal *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `TurnFaultLEDOn()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveLsmLocal. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.6.3

### udisks_drive_lsm_local_complete_turn_ident_ledoff ()

    void
    udisks_drive_lsm_local_complete_turn_ident_ledoff
                                   (UDisksDriveLsmLocal *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `TurnIdentLEDOff()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveLsmLocal. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.6.3

### udisks_drive_lsm_local_complete_turn_ident_ledon ()

    void
    udisks_drive_lsm_local_complete_turn_ident_ledon
                                   (UDisksDriveLsmLocal *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `TurnIdentLEDOn()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveLsmLocal. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.6.3

## Types and Values

### UDisksDriveLsmLocal

    typedef struct _UDisksDriveLsmLocal UDisksDriveLsmLocal;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal.

### struct UDisksDriveLsmLocalProxy

    struct UDisksDriveLsmLocalProxy {
    };

The UDisksDriveLsmLocalProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksDriveLsmLocalProxyClass

    struct UDisksDriveLsmLocalProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksDriveLsmLocalProxy.

#### Members

### struct UDisksDriveLsmLocalSkeleton

    struct UDisksDriveLsmLocalSkeleton {
    };

The UDisksDriveLsmLocalSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksDriveLsmLocalSkeletonClass

    struct UDisksDriveLsmLocalSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksDriveLsmLocalSkeleton.

#### Members